# eric4.XML.SessionWriter

Module implementing the writer class for writing an XML project session file.

### Classes

SessionWriter | Class implementing the writer class for writing an XML project session file.

### Functions

None

## SessionWriter

Class implementing the writer class for writing an XML project session file.

### Derived from

XMLWriterBase

### Methods

SessionWriter | Constructor
writeXML | Public method to write the XML to the file.

#### SessionWriter (Constructor)

SessionWriter(file, projectName)

Constructor

file
  open file (like) object for writing
projectName
  name of the project (string) or None for the global session

#### SessionWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up